- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_write_concern_t

# mongoc_write_concern_copy()

## Synopsis

    mongoc_write_concern_t *
    mongoc_write_concern_copy (const mongoc_write_concern_t *write_concern);

## Parameters

- `write_concern`: A mongoc_write_concern_t.

## Description

Performs a deep copy of `write_concern`.

## Returns

Returns a newly allocated copy of `write_concern` that should be freed with mongoc_write_concern_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.